/*******************************************************************
* DivXripper - by Hellstorm                                        *
* licensed under the GNU General Public License (GPL) v2           *
* mpeg2.h - interface with libmpeg3                                *
*******************************************************************/
#ifndef _MPEG2_H_
#define _MPEG2_H_

#include <libmpeg3.h>

int mpeg2IsFileCompatible(char *fileName);
mpeg3_t *mpeg2OpenFile(char *fileName);
mpeg3_t *mpeg2OpenCopyFile(mpeg3_t * file, char *fileName);
void mpeg2CloseFile(mpeg3_t * file);
void mpeg2UseMMX(mpeg3_t * file, int use_mmx);
void mpeg2ShowFileInfo(mpeg3_t * file);
int mpeg2AudioRead(mpeg3_t * file, char *buffer, long len, int stream);
int mpeg2AudioSampleRate(mpeg3_t * file, int astream);
int mpeg2AudioNumChannels(mpeg3_t * file, int astream);
int mpeg2NumAudioStreams(mpeg3_t * file);
int mpeg2NumVideoStreams(mpeg3_t * file);
int mpeg2VideoReadFrame(mpeg3_t * file, unsigned char **buffer, int in_x,
			int in_y, int in_w, int in_h, int out_w, int out_h,
			int depth, int stream);
int mpeg2VideoReadYUVFrame(mpeg3_t * file, char *yBuffer, char *uBuffer,
			   char *vBuffer, int in_x, int in_y, int in_w,
			   int in_h, int stream);
int mpeg2VideoWidth(mpeg3_t * file, int stream);
int mpeg2VideoHeight(mpeg3_t * file, int stream);
float mpeg2VideoFrameRate(mpeg3_t * file, int vstream);
int mpeg2VideoGetNumFrames(mpeg3_t * file, int vstream);

#endif
